> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a schema

GET https://api.getpostman.com/apis/{apiId}/schemas/{schemaId}

Gets information about API schema. You can use the `versionId` query parameter to get a schema published in an API version.

You can use this API to do the following:

- Get a schema's metadata.
- Get all the files in a schema. This only returns the first file in the schema. The endpoint response contains a link to the next set of response results.
- Get a schema's contents in multi-file or bundled format.

**Note:**

The `versionId` query parameter is a required parameter for API viewers.


Reference: https://learning.postman.com/api-docs/api-reference/api/get-api-schema

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /apis/{apiId}/schemas/{schemaId}:
    get:
      operationId: getApiSchema
      summary: Get a schema
      description: >
        Gets information about API schema. You can use the `versionId` query
        parameter to get a schema published in an API version.


        You can use this API to do the following:


        - Get a schema's metadata.

        - Get all the files in a schema. This only returns the first file in the
        schema. The endpoint response contains a link to the next set of
        response results.

        - Get a schema's contents in multi-file or bundled format.


        **Note:**


        The `versionId` query parameter is a required parameter for API viewers.
      tags:
        - api
      parameters:
        - name: apiId
          in: path
          description: The API's ID.
          required: true
          schema:
            $ref: '#/components/schemas/apiId'
        - name: schemaId
          in: path
          description: The API schema's ID.
          required: true
          schema:
            $ref: '#/components/schemas/apiSchemaId'
        - name: versionId
          in: query
          description: The API's version ID. This is a required parameter for API viewers.
          required: false
          schema:
            $ref: '#/components/schemas/apiVersionId'
        - name: bundled
          in: query
          description: If true, return the schema in a bundled format.
          required: false
          schema:
            $ref: '#/components/schemas/apiSchemaOutput'
            default: false
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          description: >-
            The `application/vnd.api.v10+json` request header required to use
            the endpoint.
          required: true
          schema:
            $ref: '#/components/schemas/v10Accept'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiSchema'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiSchemaRequestBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiSchemaRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiSchemaRequestNotFoundError'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiSchemaRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    apiId:
      type: string
      title: apiId
    apiSchemaId:
      type: string
      title: apiSchemaId
    apiVersionId:
      type: string
      title: apiVersionId
    apiSchemaOutput:
      type: boolean
      default: false
      title: apiSchemaOutput
    v10Accept:
      type: string
      enum:
        - application/vnd.api.v10+json
      title: v10Accept
    GetApiSchemaOneOf0FilesDataItems:
      type: object
      properties:
        id:
          type: string
          description: The schema file's ID.
        name:
          type: string
          description: The schema file's name.
        path:
          type: string
          description: The file system path to the schema file.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the file was created.
        createdBy:
          type: string
          description: The user ID of the user that created the file.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the file was last updated.
        updatedBy:
          type: string
          description: The user ID of the user that last updated the file.
      description: Information about the schema file.
      title: GetApiSchemaOneOf0FilesDataItems
    GetApiSchemaOneOf0FilesMeta:
      type: object
      properties:
        nextPath:
          type: string
          description: The URL path to the next file.
      description: The response's non-standard meta information.
      title: GetApiSchemaOneOf0FilesMeta
    GetApiSchemaOneOf0Files:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetApiSchemaOneOf0FilesDataItems'
          description: A list of the schema files.
        meta:
          $ref: '#/components/schemas/GetApiSchemaOneOf0FilesMeta'
          description: The response's non-standard meta information.
      description: >-
        Information about the schema's files. The response is paginated and
        limited to one page.
      title: GetApiSchemaOneOf0Files
    GetApiSchema0:
      type: object
      properties:
        id:
          type: string
          description: The schema's ID.
        type:
          type: string
          description: The schema's type.
        files:
          $ref: '#/components/schemas/GetApiSchemaOneOf0Files'
          description: >-
            Information about the schema's files. The response is paginated and
            limited to one page.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the schema was created.
        createdBy:
          type: string
          description: The user ID of the user that created the schema.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the schema was last updated.
        updatedBy:
          type: string
          description: The user ID of the user that last updated the schema.
      description: Information about the schema.
      title: GetApiSchema0
    GetApiSchema1:
      type: object
      properties:
        id:
          type: string
          description: The schema's ID.
        type:
          type: string
          description: The schema's type.
        createdBy:
          type: string
          description: The user ID of the user that created the schema.
        updatedBy:
          type: string
          description: The user ID of the user that last updated the schema.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the schema was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the schema was last updated.
        content:
          type: string
          description: The schema file, in a bundled format.
      description: Information about the schema.
      title: GetApiSchema1
    getApiSchema:
      oneOf:
        - $ref: '#/components/schemas/GetApiSchema0'
        - $ref: '#/components/schemas/GetApiSchema1'
      title: getApiSchema
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    apiErrorNameMessage:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: apiErrorNameMessage
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiSchemaRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/apiErrorNameMessage'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiSchemaRequestBadRequestError
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleMessageDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        message:
          type: string
          description: The error message.
        detail:
          type: object
          additionalProperties:
            description: Any type
          description: Information about the error.
      title: commonErrorTypeTitleMessageDetail
    GetApiSchemaRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorTypeTitleMessageDetail'
      title: GetApiSchemaRequestForbiddenError
    CommonErrorErrorObjTypeTitleDetailError:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Details about the error.
      description: Information about the error.
      title: CommonErrorErrorObjTypeTitleDetailError
    commonErrorErrorObjTypeTitleDetail:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorErrorObjTypeTitleDetailError'
          description: Information about the error.
      title: commonErrorErrorObjTypeTitleDetail
    GetApiSchemaRequestNotFoundError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorErrorObjTypeTitleDetail'
      title: GetApiSchemaRequestNotFoundError
    GetApiSchemaRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiSchemaRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "createdAt": "2022-03-29T11:37:15Z",
  "files": {
    "data": [
      {
        "createdAt": "2023-03-16T18:38:56.000Z",
        "createdBy": "12345678",
        "id": "cf98c187-17c1-455f-afbf-d4be51f12770",
        "name": "s1.json",
        "path": "dir/s1.json",
        "updatedAt": "2023-03-16T19:11:24.000Z",
        "updatedBy": "12345678"
      }
    ],
    "meta": {
      "nextPath": "/apis/1fdbff7c-036b-4f8a-91bc-17bf3ae74fd2/schemas/cf98c187-17c1-455f-afbf-d4be51f12770/files?cursor=eyJzY2hlbWUiOiJwYXRoX2FzYyIsImRpcmVjdGlvblR5cGUiOiJuZXh0IiwicGl2b3QiOiJwYXRoIiwidmFsdWUiOiJkaXIvczEuanNvbiJ9"
    }
  },
  "updatedAt": "2022-03-29T11:37:15Z"
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002"

headers = {
    "Accept": "application/vnd.api.v10+json",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002';
const options = {
  method: 'GET',
  headers: {Accept: 'application/vnd.api.v10+json', 'x-api-key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.api.v10+json")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/vnd.api.v10+json'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002")
  .header("Accept", "application/vnd.api.v10+json")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002', [
  'headers' => [
    'Accept' => 'application/vnd.api.v10+json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.api.v10+json");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "Accept": "application/vnd.api.v10+json",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/schemas/5381f010-c4c1-11ed-afa1-0242ac120002")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```